eclipse中更换项目jdk版本,以及解决提示没有javax.servlet.http.HttpServletRequest的问题

eclipse 中项目更换jdk版本
   jdk1.7 更换jdk1.8  
  步骤 1:  右键点击需要项目, 选择properties ,
          2:

          2:

3 删除后点击 add Library  --> 选择 Jre system library  
把前两个都换成1.8 然后 选中workspace 保存 就ok了

第二个问题 解决 javax.servlet.http.HttpServletRequest 
 问题原因 这个类其实是在服务jar包中的,说明服务的jar没有配置好,项目→右键propertiesjava build bathLibraries ,看看里面有没有Tomcat这个包,如果没有就add LibraryServerRuntime对应的Tomcat版本,就是这么简单

 





 
展开阅读全文

没有更多推荐了,返回首页